// popup.js
document.getElementById('filterButton').addEventListener('click', () => {
    chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
        chrome.tabs.sendMessage(tabs[0].id, { action: "fetchJobUrls" }, (response) => {
            if (response && response.status === 'done') {
                const jobUrls = response.jobUrls;

                chrome.tabs.sendMessage(tabs[0].id, { action: "checkJobs", jobs: jobUrls }, (response) => {
                    // Done handling
                });
            }
        });
    });
});
